// Colour the header on scroll
const headerBlock = document.querySelector('#headerBlock'),
      header = document.querySelector('header'),
      callbackForHeader =
        entries => {
          if (entries[0].intersectionRatio < 1)
            header.classList.add('moving');
          else
            header.classList.remove('moving');
        },
      iobserverHeader = new IntersectionObserver(callbackForHeader, { threshold: [0.99] });

iobserverHeader.observe(headerBlock);